commit:     3fc631295b7fbbed1e1e83de1a31846bf8d50d13
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 19 01:28:27 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Jun 19 01:28:27 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fc63129

dev-dotnet/dotnet-sdk-bin: bump to 6.0.301

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-dotnet/dotnet-sdk-bin/Manifest                 |  3 ++
 .../dotnet-sdk-bin/dotnet-sdk-bin-6.0.301.ebuild   | 58 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-dotnet/dotnet-sdk-bin/Manifest 
b/dev-dotnet/dotnet-sdk-bin/Manifest
index 40038cf3caab..7ede2827e387 100644
--- a/dev-dotnet/dotnet-sdk-bin/Manifest
+++ b/dev-dotnet/dotnet-sdk-bin/Manifest
@@ -16,3 +16,6 @@ DIST dotnet-sdk-6.0.202-linux-x64.tar.gz 176864364 BLAKE2B 
b4460b1a417976e30c8ba
 DIST dotnet-sdk-6.0.300-linux-arm.tar.gz 179108734 BLAKE2B 
7975ddec899c4cf8922bcdaf0acb30a7955be34d4f0651e18dd7cb059afccff533482687ba1f4b09a9b5b0b323acf7be9041c5f36ea3980a69cf8f4f25c4e848
 SHA512 
362e09bbe36a827beacbf36af6d66f7a6eb6da92e002e9a466a597f2fc181754e8893840c68c67a6c5e94b39e2dec1da360c72814bd904b325171ff7d06c56eb
 DIST dotnet-sdk-6.0.300-linux-arm64.tar.gz 176841763 BLAKE2B 
7b07efc290bf1ab2a80f2053d6d5a37b3b156e7bb781438dce62868c717aa805940a46791b3e501a93a2a478579e95c570e1d9883d8137161908aa48e2f92510
 SHA512 
67eb088ccad197a39f104af60f3e6d12ea9b17560e059c0f7c8e956005d919d00bf0f3e487b06280be63ad57aa8895f16ebc8c92107c5019c9cf47bd620ea925
 DIST dotnet-sdk-6.0.300-linux-x64.tar.gz 183135556 BLAKE2B 
bd7c2f1f3a526fd8b006bafe853e18c19b975484ad0bbf12d8d072c91b338e83086f5845a32d28f50058d09f5bc60c29ab3b763cf5dc155c701718eabf4eb292
 SHA512 
52d720e90cfb889a92d605d64e6d0e90b96209e1bd7eab00dab1d567017d7a5a4ff4adbc55aff4cffcea4b1bf92bb8d351859d00d8eb65059eec5e449886c938
+DIST dotnet-sdk-6.0.301-linux-arm.tar.gz 179000042 BLAKE2B 
1956ca30eb149c71b6089090ea4c3ddb454113bdd6d78b7081cab9c07813fe08e93eb517c0eb94360c9435683fa7c7d65372985f06806673b949e8d3e762c948
 SHA512 
ef7d028b80eaaae18b71195e89e00dea2186d455f7b72f373fc0a57074e8320c8e9245167c06e30a2ddade4ab21ad5e8b05d04a6ea11c1de68b7c9a6f9807d25
+DIST dotnet-sdk-6.0.301-linux-arm64.tar.gz 176804289 BLAKE2B 
6f2fe31458b24008a1f197f77652e5feadd76d37974de87d4913b6f23326db3f275843113959dd097a9083a71e7daf7e19a5d75f0a9d5e7d6cbf665c62dd8ce6
 SHA512 
978dd04f78ac3d6b594c47f1482bba0abe93f0b37379c1c46a2b9b33bdf5188576b055250546295de39bb22cba93ea9b31c31bb026a319ad1b3fc507db44481f
+DIST dotnet-sdk-6.0.301-linux-x64.tar.gz 182966798 BLAKE2B 
ffc4e68efa9c1fbd8fe665fd7e6ba848446b5f9b9e16f96ea334d6d3308e6de637a528d232f417067c8e585c4e3ec131c6c52a384ce913853cea180d8ab4745d
 SHA512 
2f434ea4860ee637e9cf19991a80e1febb1105531dd96b4fbc728d538ca0ab202a0bdff128fd13b269fac3ba3bc9d5f9c49039a6e0d7d32751e8a2bb6d790446

diff --git a/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.301.ebuild 
b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.301.ebuild
new file mode 100644
index 000000000000..4a71ab6b42e1
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-6.0.301.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV="${PV}"
+
+DESCRIPTION=".NET is a free, cross-platform, open-source developer platform"
+HOMEPAGE="https://dotnet.microsoft.com/";
+LICENSE="MIT"
+
+SRC_URI="
+amd64? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-x64.tar.gz
 )
+arm? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-arm.tar.gz
 )
+arm64? ( 
https://dotnetcli.azureedge.net/dotnet/Sdk/${MY_PV}/dotnet-sdk-${MY_PV}-linux-arm64.tar.gz
 )
+"
+
+SLOT="6.0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="+dotnet-symlink"
+REQUIRED_USE="elibc_glibc"
+QA_PREBUILT="*"
+RESTRICT+=" splitdebug"
+RDEPEND="
+       app-crypt/mit-krb5:0/0
+       dev-util/lttng-ust:0
+       sys-libs/zlib:0/1
+       dotnet-symlink? (
+               !dev-dotnet/dotnet-sdk[dotnet-symlink(+)]
+               !dev-dotnet/dotnet-sdk-bin:3.1[dotnet-symlink(+)]
+               !dev-dotnet/dotnet-sdk-bin:5.0[dotnet-symlink(+)]
+       )
+"
+
+S=${WORKDIR}
+
+src_install() {
+       local dest="opt/${PN}-${SLOT}"
+       dodir "${dest%/*}"
+
+       # 6.0.100 is SDK feature band which will not change between minor 
increases, so 6.0.101, 6.102
+       # will still have same 6.0.100 SDK feature band in the name. Thus I 
have to hard code this
+       # https://github.com/dotnet/sdk/pull/18823#issuecomment-915603684
+       local workloads="metadata/workloads/${SLOT}.100"
+
+       { mkdir -p "${S}/${workloads}" && touch "${S}/${workloads}/userlocal"; 
} || die
+       { mv "${S}" "${ED}/${dest}" && mkdir "${S}" && fperms 0755 "/${dest}"; 
} || die
+       dosym "../../${dest}/dotnet" "/usr/bin/dotnet-bin-${SLOT}"
+
+       if use dotnet-symlink; then
+               dosym "../../${dest}/dotnet" "/usr/bin/dotnet"
+               dosym "../../${dest}/dotnet" "/usr/bin/dotnet-${SLOT}"
+
+               # set an env-variable for 3rd party tools
+               echo "DOTNET_ROOT=/${dest}" > "${T}/90${PN}-${SLOT}" || die
+               doenvd "${T}/90${PN}-${SLOT}"
+       fi
+}

Reply via email to